<!DOCTYPE HTML>
<html>
    <head>
        <title>Activity: CSS Introduction</title>

        <link rel="stylesheet" type="text/css" href="./index.css">

        <style type="text/css">
            #p2 {
                color: orange;
            }
        </style>
    </head>
    <body>

        <!-- Different ways to include CSS -->
        <!-- Inline Styling -->
        <p id="p1" style="color: red;">Apply inline styling here.</p>
        
        <p id="p2">Apply internal styling here.</p>

        <p id="p3">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="h2">The following are things you will learn in this bootcamp:</h2>

        <h3 id="h31">Languages to be Learned</h3>
        <ol>
            <li class="learn">Hypertext Markup Language</li>
            <li class="learn">Cascading Style Sheet</li>
            <li class="learn">JavaScript</li>
        </ol>

        <h3 id="h32">Tools to be Used</h3>
        <ol>
            <li class="tools">Sublime Text</li>
            <li class="tools">Postman</li>
            <li class="tools">Heroku</li>
            <li class="tools">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section id="section1">
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>